from fastapi import APIRouter

from app.api.v1.endpoints import (
    analytics,
    auth,
    categories,
    inventory_transactions,
    products,
    suppliers,
    users,
)

api_router = APIRouter()

# Auth routes
api_router.include_router(auth.router, prefix="/auth", tags=["authentication"])

# User routes
api_router.include_router(users.router, prefix="/users", tags=["users"])

# Category routes
api_router.include_router(categories.router, prefix="/categories", tags=["categories"])

# Supplier routes
api_router.include_router(suppliers.router, prefix="/suppliers", tags=["suppliers"])

# Product routes
api_router.include_router(products.router, prefix="/products", tags=["products"])

# Inventory transaction routes
api_router.include_router(
    inventory_transactions.router,
    prefix="/inventory-transactions",
    tags=["inventory-transactions"],
)

# Analytics routes
api_router.include_router(
    analytics.router, prefix="/analytics", tags=["analytics"]
)